#ifndef WORLDMODELPLANNER_STRUCT_H
#define WORLDMODELPLANNER_STRUCT_H

typedef struct PathName {
  char name[1024];
} PathName;


typedef struct WalkPosition {
  double xPos;		/**< x position */
  double yPos;		/**< y position */
  double RzPos;		/**< Rz position in degree */
} WalkPosition;


typedef struct WalkFromToPosition {
  WalkPosition fromPosition;
  WalkPosition toPosition;
} WalkFromToPosition ;

typedef struct WorkDirectory
{
	char name[256];
}WorkDirectory;

#define ROBOT_TRAJ_MAX_NB_DOF 50000
typedef struct ROBOT_TRAJ_POSTER_STR {
   int nbDof;
   int nbConfig;
   double dof[ROBOT_TRAJ_MAX_NB_DOF];
} ROBOT_TRAJ_POSTER_STR;


typedef struct WORLDMODEL_PLANNER_POSTER_NAME
{
	char name[256];
}WORLDMODEL_PLANNER_POSTER_NAME;



/* --- Magic stuff --------------------------------------------------- */

#define WORLDMODEL_PLANNER_TARGET_CONFIG_NAME		"worldModelPlanner-target"
#define WORLDMODEL_PLANNER_TARGET_CONFIG_BUFFER	(500 /*configurations*/)

#endif
